2

Ubuntu : script d’installation automatique pour kernel

Pour ceux qui souhaitent installer la dernière version en date du noyau Linux (4.8 à la rédaction de cet article) pour Ubuntu, Linux Mint et dérivées, voici un petit script qui automatise le processus d’installation : Ubuntu Kernel Upgrader Script.

linuxmint18-kernel48

Téléchargement du script

  • Téléchargement du script :
  • wget https://gist.github.com/mmstick/8493727/archive/d4e81980a232cd2d0dd67be71ec0fa23bd354ca2.zip
  • Dézipper :
  • unzip d4e81980a232cd2d0dd67be71ec0fa23bd354ca2.zip
  • Se rendre dans le répertoire :
  • cd 8493727-d4e81980a232cd2d0dd67be71ec0fa23bd354ca2
  • Rendre éxécutable le script :
  • chmod +x *
  • Facultatif : Un petit coup de detox pour enlever les espaces dans le nom :
  • detox *

Installation du kernel 4.8 pour Ubuntu et Linux Mint

  • Exécution du script pour l’installation automatique du kernel :
    ./Ubuntu_Kernel_Upgrader_Script
    • Installation la dernire version Release Conditate :
    • Do you want the latest RC?

      Dans le cas présent, la version 4.8 du noyau étant la dernière, on peut répondre « n » ou « y » ça n’a pas d’importance.

    • Ensuite le script propose l’installation de la version Real Time du kernel, tout dépend du besoin. Dans le cas présent, je répond « n » :
    • Do you want the lowlatency kernel? n
  • demande du mot de passe sudo pour continuer :
  • FINISHED --2016-10-05 11:03:03--
    Total wall clock time: 5,1s
    Downloaded: 6 files, 58M in 5,1s (11,3 MB/s)
    Installing Linux Kernel
    [sudo] password for fred:
    
  • Installation du noyau linux terminée :
  • Done. You may now reboot.
  • Redémarrer le système :
  • sudo reboot

Partager l'article :





fred

"Dire que l'on s'en fiche du droit à la vie privée sous prétexte qu'on a rien à cacher, c'est comme déclarer que l'on se fiche du droit à la liberté d'expression sous prétexte qu'on a rien à dire." Edward Snowden

2 commentaires

Laisser un commentaire

Votre adresse de messagerie ne sera pas publiée. Les champs obligatoires sont indiqués avec *